#define F_CPU 11059200UL    // Clock Speed
#define BAUD 9600
#define MYUBRR F_CPU/16/BAUD-1

#include <avr/io.h>
#include <avr/interrupt.h>
#include "uart.h"

ISR(INT0_vect) {
  //  
  USARTTransmitStringLn("HC-SR501");  
}

void InitINT0() {
  //   
  DDRD &= ~(1<<PIND2);
  //    int0
  GICR = 1<<INT0;
  //  .    
  MCUCR = 1<<ISC01 | 1<<ISC00;
}

int main(void) {
  cli();
  USARTInit(MYUBRR);
  InitINT0();
  sei();
    while (1) {
      asm("nop");
    }
}

